@media (min-width: 1600px) {
    .hero_section {
        max-width: 1600px;
        margin: 0 auto;
    }
}

@media (max-width: 1440px) {
    .footer_about p {
        width: 100%;
    }
}

@media (max-width: 991px) {
    html {
        scroll-padding-top: 120px;
    }

    .header-inner {
        position: relative;
    }

    .headerspace_wrapper {
        padding-top: 88px;
    }

    .mobile-toggle {
        display: flex;
        z-index: 10001;
        position: relative;
        outline: none;
    }

    .nav-menu {
        position: fixed;
        top: 0;
        left: 0;
        width: 100vw;
        height: 100vh;
        background-color: #FAF6EC;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        z-index: 10000;
        pointer-events: none;
        clip-path: circle(0% at calc(100% - 60px) 45px);
        /* Position around where the hamburger icon lives */
    }

    .nav-menu ul {
        flex-direction: column;
        align-items: center;
        gap: 16px;
    }

    .nav-menu ul li a {
        font-size: 30px;
        opacity: 0;
        transform: translateY(30px);
    }

    .nav-menu ul li a.active,
    .nav-menu ul li a:hover {
        color: var(--primary-color);
    }

    /* .header-action {
        display: none;
    } */

    .hero_section {
        margin: 0 16px;
    }

    .logo img {
        max-height: 45px;
    }

    .hero_banner h1 {
        font-size: 48px;
    }

    .hero_banner h1 span {
        font-size: 40px;
    }

    .hero_banner p {
        width: 80%;
    }

    .hero_circle_img {
        height: 78vh;
    }

    .home_about_img img {
        width: 100%;
    }

    .home-about {
        background-size: 530px;
        background-position: top 100% right -150px;
    }

    .count_box {
        bottom: 10px;
        left: 50%;
    }

    .count_box h4 {
        font-size: 48px;
    }

    .main_heading {
        font-size: 36px;
        margin-bottom: 0px;
    }

    .sub_heading {
        font-size: 28px;
    }

    .home-services {
        padding: 0 0 60px 0;
    }

    .btn-primary {
        padding: 12px 20px;
    }

    .home-services .hading_flex {
        margin-bottom: 0px;
        border-bottom: none;
        border-top: 1px solid #FFE3BC;
        padding-top: 40px;
    }

    .hading_flex {
        margin-bottom: 0px;
    }

    .mbc_projects {
        padding: 60px 0 0 0;
    }

    .project-card {
        padding: 0 8px;
    }

    .project-card h5 {
        font-size: 16px;
    }

    .project-card p {
        font-size: 14px;
    }

    .mbc_projects .hading_flex .first_div {
        width: 70%;
    }

    .mbc_projects .hading_flex .second_div {
        width: 30%;
    }

    .slider-arrows {
        margin-bottom: 16px;
    }

    .slider-arrows button {
        width: 40px;
        height: 40px;
    }

    .ourclients {
        padding: 60px 0;
    }

    .projects-slider .slick-dots {
        margin-top: 20px;
    }

    .steps_list {
        padding-left: 24px;
        padding-top: 10px;
        margin-left: 0px;
    }

    .step_img {
        height: 210px;
        border-radius: 16px;
    }

    .footer_logo img {
        max-height: 45px;
    }

    .footer_about h4 {
        margin-bottom: 8px;
    }

    .footer_about p {
        width: 100%;
        font-size: 15px;
    }

    .clients_flex {
        grid-template-columns: repeat(5, 1fr);
    }

    .client_box {
        padding: 40px;
    }

    .service-items-box {
        padding: 40px;
    }

    .whychoose {
        padding: 60px 0 40px 0;
        background-size: cover, 700px, 900px;
    }

    .home_steps {
        padding: 0 0 60px 0;
    }

    .cta_section {
        padding: 40px 0;
        background-size: 500px, cover;
    }

    .cta_section p {
        width: 70%;
        margin: 0 auto 1rem auto;
    }

    .inner_banner {
        padding: 60px 0 30px 0;
        border-radius: 24px 24px 0 0;
        background-size: cover, 500px, cover;
    }

    .banner_sub_heading {
        margin-bottom: 0px;
    }

    .inner_banner_head {
        font-size: 40px;
    }

    .about_section {
        padding: 60px 0;
    }

    .about_img img {
        position: absolute;
        bottom: -95px;
        height: 580px;
    }

    .mission_vision {
        padding: 60px 0;
    }

    .vision_image img {
        border-radius: 20px;
        height: 400px;
        object-fit: cover;
    }

    .vision_image {
        margin-bottom: 40px;
    }

    .core_expertise {
        padding: 60px 0;
    }

    .core_expertise_box {
        padding: 8px;
        border-radius: 20px;
    }

    .core_expertise_image {
        border-radius: 16px;
    }

    .core_expertise_content {
        padding: 0 8px;
    }

    .core_heading {
        font-size: 24px;
    }

    .structure_section {
        padding: 60px 0;
    }

    .structure_image img {
        width: 250px;
    }

    .structure_left {
        top: 150px;
    }

    .structure_left p {
        width: 100%;
    }

    .timeline_item {
        gap: 16px;
    }

    .quality_policy_section {
        padding: 60px 0;
    }

    .quality_policy_wrapper {
        border-radius: 24px;
        padding: 30px;
    }

    .quality_img_wrap img {
        aspect-ratio: 16/7;
    }

    .safety_image {
        max-width: 150px;
    }

    .health_section {
        padding: 0 0 60px 0;
    }

    .quality_footer_box {
        padding: 16px 20px;
    }

    .all_services_section .quality_divider {
        margin: 20px 0 40px 0;
    }

    .all_services_section {
        padding: 60px 0 0 0;
    }

    .service_image {
        margin-bottom: 24px !important;
        height: 220px;
    }

    .service_icon {
        margin-bottom: 24px;
    }

    .service_card {
        padding: 0 8px;
    }

    .service_card p {
        margin-bottom: 24px !important;
    }

    .service-responsive {
        flex-direction: column-reverse;
        justify-content: start;
    }

    .service_bottom_content {
        margin-bottom: 1.5rem;
    }

    .service_vertical_tab {
        position: relative;
    }

    .service_vertical_tab::after {
        content: '';
        position: absolute;
        top: 50px;
        bottom: 50px;
        right: 0;
        width: 1px;
        background: linear-gradient(to bottom, #ffe3bc00 0%, #FFE3BC 50%, #ffe3bc00 100%);
    }

    .industries_serve_section {
        padding: 60px 0;
    }

    .industries_serve_container .sub_heading {
        margin-bottom: 0px;
    }

    .industries_serve_container {
        background-color: #FAF6EC;
        border-radius: 20px;
        padding: 30px;
    }

    .service_btn_align {
        margin-top: 35px;
    }

    .contact_page .service_btn_align {
        align-items: start;
        gap: 10px;
        flex-direction: column;
        margin-top: 35px;
    }

    .address_form {
        padding: 40px 0 60px 0;
    }

    .address_main_texts {
        padding-right: 0px;
        margin-bottom: 40px;
    }

    .address_flex {
        column-gap: 40px;
    }
}

@media (max-width: 767px) {
    .service-items-box {
        padding: 30px 20px;
    }

    .service-items-box .col-md-4:not(:last-child) {
        margin-bottom: 35px;
    }

    .service-item {
        margin-bottom: 25px;
    }

    .hero_section {
        background-image: url(../images/banner_image_mob.webp);
        border-radius: 20px;
    }

    .footer_links {
        margin-top: 24px;
    }

    .footer_about {
        margin-bottom: 24px;
    }

    .footer_about p {
        width: 80%;
    }

    .copyright p {
        font-size: 12px;
    }

    .service_vertical_tab::after {
        display: none;
    }

    .hero_section {
        background-image: url(../images/banner_image_mob.webp);
        border-radius: 20px;
        height: 75vh;
    }

    .home_about_img img {
        width: 70%;
    }

    .home_about_img {
        justify-content: center;
    }

    .hero_circle_img {
        height: 75vh;
        justify-content: end;
        align-items: start;
        margin-top: 25px;
    }

    .hero_banner h1 {
        font-size: 35px;
    }

    .hero_banner h1 span {
        font-size: 30px;
    }

    .hero_banner p {
        width: 90%;
        font-size: 15px;
    }

    .hading_flex {
        align-items: start;
        flex-direction: column;
        gap: 16px;
    }

    .main_heading {
        font-size: 32px;
    }

    .sub_heading {
        font-size: 24px;
    }

    .hide_mob {
        display: none;
    }

    .mob_btn_center {
        display: flex;
    }

    .mbc_projects .hading_flex .first_div {
        width: 100%;
    }

    .mbc_projects .hading_flex .second_div {
        width: 100%;
    }

    .steps_list {
        padding-top: 32px;
        padding-left: 10px;
    }

    .steps_list::before {
        display: none;
    }

    .nav-menu ul {
        gap: 10px;
    }

    .nav-menu ul li a {
        font-size: 25px;
    }

    .about_img img {
        bottom: -84px;
        height: 430px;
    }

    .about_img {
        height: 340px;
    }
    .vision_image {
    padding-right: 0px;
    position: static;
    display: flex;
    flex-direction: column-reverse;
    gap: 16px;
    margin-bottom: 16px;
}
.vision_content {
    position: static;
    width: 100%;
    transform: translateY(0%);
    padding: 32px;
}
.vision_image img {
    height: 200px;
}
.mission_content {
    padding: 32px;
    background-color: #232323;
    border-radius: 20px;
}
.structure_image {
    display: flex;
    justify-content: center;
    margin-bottom: 32px;
}
.structure_image img {
    width: 250px;
}
.safety_image {
    max-width: 100px;
}
.hero_circle_img img {
    width: 110px;
}

    .count_box {
        bottom: 20px;
    }
}

@media (max-width: 576px) {
    .header-action .btn-primary {
        display: none;
    }

    .nav-menu ul {
        gap: 10px;
    }

    .nav-menu ul li a {
        font-size: 25px;
    }

    .logo img {
        max-height: 32px;
    }

    .headerspace_wrapper {
        padding-top: 73px;
    }

    .hero_section {
        margin: 0 8px;
        background-image: url(../images/banner_image_mob.webp);
        border-radius: 20px;
        height: 65vh;
    }

    .hero_banner h1 {
        font-size: 35px;
    }

    .hero_banner h1 span {
        font-size: 30px;
    }

    .hero_banner p {
        width: 90%;
        font-size: 15px;
    }

    .hero_circle_img {
        justify-content: end;
        align-items: start;
        margin-top: 15px;
    }

    .hero_circle_img img {
        width: 100px;
    }

    .inner_banner {
        border-radius: 0px 0px 0 0;
    }

    .count_box h4 {
        font-size: 34px;
    }

    .count_box p {
        font-size: 18px;
    }

    .count_box {
        bottom: 10px;
    }

    .hading_flex {
        align-items: start;
        flex-direction: column;
        gap: 16px;
    }

    .main_heading {
        font-size: 32px;
    }

    .sub_heading {
        font-size: 24px;
    }

    .service-items-box {
        padding: 30px 20px 10px 20px;
    }

    .service-item {
        gap: 20px;
    }

    .service-item img {
        height: 32px;
        width: 32px;
    }

    .service-item p {
        font-size: 16px;
    }

    .hide_mob {
        display: none;
    }

    .mob_btn_center {
        display: flex;
    }

    .service_icon {
        margin-bottom: 16px;
    }

    .service_icon img {
        height: 40px;
        width: 40px;
    }

    .hading_flex .first_div {
        width: 100%;
    }

    .hading_flex .second_div {
        width: 100%;
    }

    .whychoose .hading_flex {
        gap: 0px;
    }

    .whychoose_box {
        border-radius: 16px;
        margin-bottom: 16px;
        height: calc(100% - 16px);
    }


    .mbc_projects .hading_flex .first_div {
        width: 100%;
    }

    .mbc_projects .hading_flex .second_div {
        width: 100%;
    }

    .mbc_projects .hading_flex {
        gap: 0px;
    }

    .project-card h5,
    .project-card p {
        text-align: center;
    }

    .clients_flex {
        grid-template-columns: repeat(4, 1fr);
        gap: 5px;
    }

    .client_box {
        padding: 24px;
    }

    .client_space {
        padding: 10px;
        height: 50px;
        border-radius: 5px;
    }

    .steps_list {
        padding-top: 32px;
        padding-left: 10px;
    }

    .steps_list::before {
        display: none;
    }

    .step_item {
        margin-bottom: 28px;
        gap: 16px;
    }

    .cta_section p {
        width: 100%;
        font-size: 15px;
    }

    .footer_flex {
        padding-bottom: 20px;
        flex-direction: column;
        gap: 20px;
        align-items: start;
    }

    .footer_span {
        margin-bottom: 20px;
    }

    .footer_logo img {
        max-height: 32px;
    }

    .about_img img {
        bottom: -84px;
        height: 430px;
    }

    .about_img {
        height: 340px;
    }

    .vision_image {
        padding-right: 0px;
        position: static;
        display: flex;
        flex-direction: column-reverse;
        gap: 16px;
        margin-bottom: 16px;
    }

    .vision_image img {
        height: 200px;
    }

    .vision_content {
        position: static;
        width: 100%;
        transform: translateY(0%);
        padding: 32px;
    }

    .mission_content {
        padding: 32px;
        background-color: #232323;
        border-radius: 20px;
    }

    .core_expertise_box {
        padding: 12px;
        border-radius: 20px;
    }

    .structure_image {
        display: flex;
        justify-content: center;
        margin-bottom: 32px;
    }

    .timeline_icon {
        width: 50px;
        height: 50px;
        border-radius: 8px;
    }

    .timeline_icon img {
        width: 32px;
        height: 32px;
    }

    .quality_policy_wrapper {
        border-radius: 20px;
        padding: 24px;
    }

    .safety_image {
        max-width: 100px;
    }

    p {
        font-size: 15px;
    }

    .health_box {
        padding: 20px;
    }

    .health_box p {
        font-size: 15px;
    }

    .timeline_content p {
        font-size: 15px;
    }

    .service_btn_align {
        justify-content: start;
        margin-top: 15px;
    }

    .all_service_heading {
        font-size: 22px;
    }

    .industries_serve_container {
        padding: 20px;
    }

    .industry_icon {
        margin-bottom: 10px;
    }

    .industry_icon img {
        height: 32px;
    }

    .industry_card {
        padding: 8px;
        border-radius: 12px;
    }

    .industry_title {
        font-size: 16px;
        margin-top: 0px;
    }

    .contact_page .service_btn_align {
        margin-top: 16px;
    }

    .address_flex {
        column-gap: 24px;
        gap: 24px;
        grid-template-columns: repeat(1, 1fr);
    }

    .custom-contact-form {
        border-radius: 20px;
        padding: 30px;
    }

    .custom-enquire-modal-content {
        border-radius: 20px;
        padding: 24px 24px;
    }

    .custom-contact-form h3 {
        font-size: 24px;
    }

    .close-enquire-modal {
        top: 10px;
        right: 5px;
        font-size: 24px;
    }

    .custom-contact-form .form-control {
        font-size: 15px;
    }

    .service_card::after {
        content: '';
        position: absolute;
        bottom: 20px;
        right: 50%;
        transform: translateX(50%);
        width: 90%;
        height: 1px;
        background: linear-gradient(to right, #ffe3bc00 0%, #FFE3BC 50%, #ffe3bc00 100%) !important;
        display: none;
    }

    .btn-primary {
        padding: 10px 16px;
        font-size: 14px;
    }

    .view_more_btn {
        padding: 10px 16px;
        font-size: 14px;
    }

    .custom-contact-form .btn-primary {
        padding: 10px 16px;
        font-size: 14px;
    }

    .footer_links {
        margin-top: 24px;
    }

    .footer_about {
        margin-bottom: 24px;
    }

    .copyright p {
        font-size: 12px;
    }
}